### Method

# Gegl Color get_cmyk

#### Declaration [src]

    void
    gegl_color_get_cmyk (
      GeglColor* color,
      gdouble* cyan,
      gdouble* magenta,
      gdouble* yellow,
      gdouble* key,
      gdouble* alpha,
      const Babl* space
    )

#### Description [src]

Retrieves the current set color stored as `space`. If `space` is `NULL`, this is equivalent to requesting color in the default naive CMYK space.

#### Parameters

`cyan`

  Type: `gdouble*`

  Cyan return location.

  The argument will be set by the function.

`magenta`

  Type: `gdouble*`

  Magenta return location.

  The argument will be set by the function.

`yellow`

  Type: `gdouble*`

  Yellow return location.

  The argument will be set by the function.

`key`

  Type: `gdouble*`

  Key return location.

  The argument will be set by the function.

`alpha`

  Type: `gdouble*`

  Alpha return location.

  The argument will be set by the function.

`space`

  Type: `Babl`

  CMYK space.

  The argument can be `NULL`.
  The data is owned by the caller of the method.